Update a calendar
curl --request PATCH \
--url https://b.anny.co/api/v1/calendars/{calendar_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "<string>",
"type": "calendars",
"attributes": {
"name": "<string>",
"show_description": true,
"show_customer": true,
"show_add_ons": true,
"show_sub_bookings": true,
"show_external_events": true,
"blocker_style": "<string>",
"days_before": 123,
"days_after": 123,
"locale": "<string>",
"created_at": "<string>"
},
"links": {
"self": "<string>"
},
"relationships": {
"resources": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
}
},
"meta": {
"calendar_url": "<string>"
}
}
}
'import requests
url = "https://b.anny.co/api/v1/calendars/{calendar_id}"
payload = { "data": {
"id": "<string>",
"type": "calendars",
"attributes": {
"name": "<string>",
"show_description": True,
"show_customer": True,
"show_add_ons": True,
"show_sub_bookings": True,
"show_external_events": True,
"blocker_style": "<string>",
"days_before": 123,
"days_after": 123,
"locale": "<string>",
"created_at": "<string>"
},
"links": { "self": "<string>" },
"relationships": { "resources": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": { "self": "<string>" }
} },
"meta": { "calendar_url": "<string>" }
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '<string>',
type: 'calendars',
attributes: {
name: '<string>',
show_description: true,
show_customer: true,
show_add_ons: true,
show_sub_bookings: true,
show_external_events: true,
blocker_style: '<string>',
days_before: 123,
days_after: 123,
locale: '<string>',
created_at: '<string>'
},
links: {self: '<string>'},
relationships: {
resources: {data: [{type: '<string>', id: '<string>'}], links: {self: '<string>'}}
},
meta: {calendar_url: '<string>'}
}
})
};
fetch('https://b.anny.co/api/v1/calendars/{calendar_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "calendars",
"attributes": {
"name": "<string>",
"show_description": true,
"show_customer": true,
"show_add_ons": true,
"show_sub_bookings": true,
"show_external_events": true,
"blocker_style": "<string>",
"days_before": 123,
"days_after": 123,
"locale": "<string>",
"created_at": "<string>"
},
"links": {
"self": "<string>"
},
"relationships": {
"resources": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
}
},
"meta": {
"calendar_url": "<string>"
}
}
}Availability Settings
Update a calendar
PATCH
/
api
/
v1
/
calendars
/
{calendar_id}
Update a calendar
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Pfadparameter
The calendar identifier.
Abfrageparameter
Organization ID
Body
application/vnd.api+json
A configurable calendar view showing bookings for selected resources.
Show child attributes
Show child attributes
Antwort
200 - application/vnd.api+json
OK
A configurable calendar view showing bookings for selected resources.
Show child attributes
Show child attributes
⌘I